Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class IncomingSearchResponse

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.IncomingDatagramMessage<UpnpResponse>
              org.teleal.cling.model.message.discovery.IncomingSearchResponse

    public class IncomingSearchResponse

extends IncomingDatagramMessage<UpnpResponse>

Must have ST, USN, and EXT header.

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)`

Method Summary
`byte[]` | `getInterfaceMacHeader()`
`URL` | `getLocationURL()`
`Integer` | `getMaxAge()`
`UDN` | `getRootDeviceUDN()`
`boolean` | `isSearchResponseDeviceTypeMessage()`
`boolean` | `isSearchResponseMessage()`
`boolean` | `isSearchResponseRootDeviceMessage()`
`boolean` | `isSearchResponseRootDeviceUDNMessage()`
`boolean` | `isSearchResponseServiceTypeMessage()`
`boolean` | `isSearchResponseUDNMessage()`

Methods inherited from class org.teleal.cling.model.message.IncomingDatagramMessage
`getLocalAddress, getSourceAddress, getSourcePort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, logHeaders, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingSearchResponse

    public IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)

Method Detail

### isSearchResponseMessage

    public boolean isSearchResponseMessage()

### isSearchResponseRootDeviceMessage

    public boolean isSearchResponseRootDeviceMessage()

### isSearchResponseRootDeviceUDNMessage

    public boolean isSearchResponseRootDeviceUDNMessage()

### isSearchResponseUDNMessage

    public boolean isSearchResponseUDNMessage()

### isSearchResponseDeviceTypeMessage

    public boolean isSearchResponseDeviceTypeMessage()

### isSearchResponseServiceTypeMessage

    public boolean isSearchResponseServiceTypeMessage()

### getRootDeviceUDN

    public UDN getRootDeviceUDN()

### getLocationURL

    public URL getLocationURL()

### getMaxAge

    public Integer getMaxAge()

### getInterfaceMacHeader

    public byte[] getInterfaceMacHeader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.